# Reseda version 1.0.0
# ResedaType.py
# by Antoine Rauzy
# Copyrights (c) 2018-2021 AltaRica Association
#
# This file is part of Reseda.
# Reseda is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Reseda is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with Reseda.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) Declaration
# 3) Elements

# 1) Imported modules
# -------------------

from S2MLCore import *

# 2) Declaration
# --------------

class ResedaType(S2MLType):

# 3) Elements
# -----------

  NODE = 1201
  EDGE = 1211
  ARC = 1212
  VARIABLE = 1221

  @staticmethod
  def IsNode(element):
    return element.GetType()==ResedaType.NODE

  @staticmethod
  def IsEdge(element):
    return element.GetType()==ResedaType.EDGE

  @staticmethod
  def IsArc(element):
    return element.GetType()==ResedaType.ARC

  @staticmethod
  def IsVariable(element):
    return element.GetType()==ResedaType.VARIABLE
