# Reseda version 1.0.0
# ResedaVariable.py
# by Antoine Rauzy
# Copyrights (c) 2018-2021 AltaRica Association
#
# This file is part of Reseda, a pedagogical stochastic simulator.
# Reseda is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Reseda is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with Reseda.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) Creator
# 3) Accessor

# 1) Imported modules
# -------------------

from S2MLCore import *
from ResedaType import *

# 2) Creator
# ----------

class ResedaVariable(S2MLPort):
  def __init__(self, path, container):
    S2MLPort.__init__(self, ResedaType.VARIABLE, None, path, container)
    if path.IsIdentifier():
      self.SetIdentifierAndInsertInContainerDictionary(path.ToString())
    self._value = None

# 3) Accessors
# ------------

  def GetValue(self):
    return self._value

  def ResetValue(self):
    self._value = None

  def SetValue(self, value):
    self._value = value
